%define lib_major       2
%define libname        %mklibname cairo %{lib_major}
%define libnamedev     %mklibname -d cairo
%define libnamestaticdev %mklibname -s -d cairo

%define pixman_version 0.10.0

%define enable_test 0

Summary:	Cairo - multi-platform 2D graphics library
Name:		cairo
Version: 1.6.4
%define subrel 1
Release: %mkrel 1
License:	BSD
Group:		System/Libraries
Source0:	http://cairographics.org/releases/%name-%version.tar.gz
Source1:	http://cairographics.org/releases/%name-%version.tar.gz.sha1

URL:		http://cairographics.org/
BuildRequires:  freetype2-devel >= 2.1.10
BuildRequires:  libxext-devel
BuildRequires:  libx11-devel
BuildRequires:	libxrender-devel
BuildRequires:	libfontconfig-devel
BuildRequires:  x11-server-xvfb
BuildRequires:  pixman-devel >= %{pixman_version}

BuildRequires:	libpng-devel
# only needed for pdf tests
#BuildRequires:	libpango-devel >= 1.13.0
BuildRequires:  gtk-doc
# needed by tests
BuildRequires: fonts-ttf-bitstream-vera
BuildRoot:	%_tmppath/%name-%version-root

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{libname}
Summary:	Cairo - multi-platform 2D graphics library
Group:		System/Libraries
Provides:	cairo = %{version}-%{release}
Requires:	freetype2 >= 2.1.10
Requires:	%{_lib}pixman-1_0 >= %{pixman_version}

%description -n %{libname}
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{libnamedev}
Summary:	Development files for Cairo library
Group:		Development/C
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Obsoletes:      %mklibname -d cairo 2
Conflicts:	%{_lib}cairo1-devel

%description -n %{libnamedev}
Development files for Cairo library.

%package -n %{libnamestaticdev}
Summary:	Static Cairo library
Group:		Development/C
Requires:	%{libnamedev} = %version
Provides:	lib%name-static-devel = %version
Obsoletes: %mklibname -s -d cairo 2

%description -n %{libnamestaticdev}
Static Cairo library.


%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc  --disable-glitz --enable-pdf --enable-ps --disable-xcb
%make

%check
%if %{enable_test}
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb -screen 0 1600x1200x24 :$XDISPLAY &
export DISPLAY=:$XDISPLAY
make check
kill $(cat /tmp/.X$XDISPLAY-lock)
%endif

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{libname} -p /sbin/ldconfig
%postun	-n %{libname} -p /sbin/ldconfig


%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%_libdir/libcairo.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(644,root,root,755)
%doc RELEASING BIBLIOGRAPHY BUGS ChangeLog
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*.la
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/cairo/

%files -n %{libnamestaticdev}
%defattr(644,root,root,755)
%_libdir/lib*.a




%changelog
* Tue May 27 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.6.4-1.1mdv2008.1
- build for updates

* Thu May 15 2008 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-1mdv2008.1
+ Revision: 207660
- Release 1.6.4 (Mdv bug #40854) :
 - fix invalid dependency on libstdc++
 - fix postscript generation for some PDF (fd.o bug #15348)

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.16-1mdv2008.1
+ Revision: 191616
- Release 1.5.16
- Patch0: various fixes from GIT

* Fri Mar 21 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.14-1mdv2008.1
+ Revision: 189348
- Release 1.5.14
- Remove patch0, merged upstream
- Patch0 (GIT): additional fixes for PDF and PS backends

* Thu Mar 20 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.12-2mdv2008.1
+ Revision: 189137
- Patch0 (GIT): fix type1 font being misaligned for PS generation

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.12-1mdv2008.1
+ Revision: 176685
- Release 1.5.12

* Wed Feb 20 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.10-1mdv2008.1
+ Revision: 173243
- Release 1.5.10

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 1.5.8-1mdv2008.1
+ Revision: 160649
- new version
- update docs list

* Thu Jan 17 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.6-1mdv2008.1
+ Revision: 153966
- Release 1.5.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.4-1mdv2008.1
+ Revision: 118260
- Fix buildrequires
- Release 1.5.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - buildrequires X11-devel instead of XFree86-devel

* Wed Nov 28 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.12-1mdv2008.1
+ Revision: 113660
- Release 1.4.12
- Remove patches 0, 1, merged upstream

* Wed Oct 31 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.10-3mdv2008.1
+ Revision: 104227
- Patch1 (GIT): fix empty glyph handling (fd.o bug #12284). Fully fix PDF rendering in Evince

* Wed Oct 31 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.10-2mdv2008.1
+ Revision: 104209
- Patch0: fix handling of invalid glyph request (fd.o bugs #9846, #8399)

  + Götz Waschk <waschk@mandriva.org>
    - new devel name

* Wed Jul 04 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.10-1mdv2008.0
+ Revision: 48136
- Release 1.4.10

* Mon Jun 11 2007 Götz Waschk <waschk@mandriva.org> 1.4.8-1mdv2008.0
+ Revision: 38086
- new version

* Wed May 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.6-1mdv2008.0
+ Revision: 20613
- Release 1.4.6
- Remove patch0, no longer needed

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 14760
- new version


* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.2-1mdv2007.1
+ Revision: 146893
- Release 1.4.2 (many crash fixes)

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdv2007.1
+ Revision: 146600
- bump release
- package smaller NEWS instead of BIG less usefull ChangeLog

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdv2007.1
+ Revision: 133635
- Release 1.4.0

* Mon Mar 05 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.16-1mdv2007.1
+ Revision: 133092
-Release 1.3.16
-update patch0 to fix strict aliasing on x86-64 too
-drop additional cflags

* Fri Mar 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.14-5mdv2007.1
+ Revision: 131588
- bump release
- really fix aliasing bug by compiling with -fno-strict-aliasing
  (patch0 is not enough for x86_64) (#27560)

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.14-4mdv2007.1
+ Revision: 131043
- Patch0: fix aliasing (with help from gb) (Mdv bug #27560)

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.3.14-3mdv2007.1
+ Revision: 122248
- rebuild to fix pkgconfig deps

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 1.3.14-2mdv2007.1
+ Revision: 122123
- rebuild for pkgconfig provides

* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.14-1mdv2007.1
+ Revision: 121316
- Release 1.3.14

* Fri Feb 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-2mdv2007.1
+ Revision: 118385
-Patch0 (GIT): fix crash when RENDER isn't available (fdo bug #9893)

* Mon Jan 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-1mdv2007.1
+ Revision: 111991
-Release 1.3.12
-Disable tests, they don't pass upstream right now

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.10-1mdv2007.1
+ Revision: 102297
- Release 1.3.10
  Remove patch0, merged upstream
  enable tests at build time, they should pass on iurt now

* Fri Dec 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.8-1mdv2007.1
+ Revision: 97437
- Release 1.3.8
  Patch0: fix symbol check on OPD platform

* Fri Dec 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-3mdv2007.1
+ Revision: 93845
- Disable test for now, they don't pass in iurt (seems font related)
- Force rebuild
- Enable back Xvfvb BR
- Release 1.3.6
- Enable tests, they pass now

* Fri Dec 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.4-1mdv2007.1
+ Revision: 89847
- Release 1.3.4
- Add check but disabled for now (doesn't pass all tests)

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.1
+ Revision: 76093
- Import cairo

* Fri Nov 03 2006 Gtz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.1
- drop patch
- New version 1.2.6

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.4-2mdv2007.0
- Patch0 (GIT): various fixes, including Mdv bug #24298

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.4-1mdv2007.0
- Release 1.2.4

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- drop patches
- New release 1.2.2

* Fri Jul 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-3mdv2007.0
- Patch1 (GIT): fix broken text when antialiasing is disabled (Mdv bug #23823)

* Thu Jul 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-2mdv2007.0
- Patch0 (GIT): remove Xsync from surface_flush

* Tue Jul 04 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.0
- New release 1.2.0

* Sat Jun 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.10-1mdv2007.0
- Release 1.1.10

* Thu Jun 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.8-1mdv2007.0
- Release 1.1.8

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.7-0.1mdv2007.0
- new snapshot (20060613)
- Remove patch5, no longer needed

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 1.1.6-2mdv2007.0
- fix buildrequires

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-1mdv2007.0
- Release 1.1.6
- enable pdf and ps backends (needed for gtk)
- Regenerate patch5

* Sat May 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.4-3mdk
- add BuildRequires: libxrender-devel libfontconfig-devel

* Wed May 17 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2
- Rebuild with new xorg

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- drop patch 4
- source URL
- New release 1.0.4

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-3mdk
- use mkrel
- Remove patch9, bug is workarounded with gtk+ >= 2.8.12

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.2-2mdk
- Rebuild

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 6, 7, 8, 10, 11 (merged upstream)

* Wed Sep 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-8mdk 
- Patch10 (CVS): don't use SSE on MMX non SSE CPU
- Patch11 (CVS): fix X error with null pixmaps

* Tue Sep 13 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-7mdk
- add provides to the devel package

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-6mdk 
- Patch9: disable XRender Composite, unless CAIRO_ENABLE_XRENDER_COMPOSITE 
  environment variable is set to 1

* Tue Aug 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-5mdk 
- Patch7 (CVS): better handle agressive inlining and omit-frame-pointer
- Patch8 (CVS): simplify rectangular trapezoids check

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-4mdk 
- Patch6: fix detection of X with broken render

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-3mdk
- Patch5: add support for artificial oblique

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-2mdk 
- Explicitly disable all unstable backends (they are already disabled)

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdk 
- Release 1.0.0 (champagne :)
- Remove patches 0, 1, 2, 3 (merged upstream)

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-7mdk 
- Remove test warnings from patch2
- Patch4 : fix subpixel for BGR/vBGR LCD screen

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-6mdk 
- Add explicit requires on freetype 2.1.10 (needed for embolding)

* Sat Aug 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-5mdk 
- Patch3 (CVS): fix null surface crash (seen in qt-gtk engine)
- Patch2 (Sunmoon): add artificial embolding support

* Thu Aug 18 2005 Pascal Terjan <pterjan@mandriva.org> 0.9.2-4mdk
- Patch1 (CVS): fix another crash, this one seen in Evince

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-3mdk 
- Patch0 (CVS): fix crash in fontconfig font, as seen in Eclipse

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-2mdk 
- Add conflicts to ease upgrade

* Mon Aug 15 2005 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdk
- New release 0.9.2

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- major 2
- New release 0.9.0

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- New release 0.6.0

* Wed Jul 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- enable gtk doc
- New release 0.5.0

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- add docs
- bump deps
- drop patch
- New release 0.4.0

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.0-2mdk
- add BuildRequires: libpng-devel (for oregano)
- Patch1: glitz 0.4.0 support

* Fri Jan 28 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- New release 0.3.0

* Wed Nov 24 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 0.2.0-2mdk
- reenable aclocal, autoheader, autoconf,  automake so that it build
  properly on Mandrake 10.0

* Fri Nov 12 2004 Marcel Pol <mpol@mandrake.org> 0.2.0-1mdk
- 0.2.0
- build against glitz

* Wed Jun 02 2004 Marcel Pol <mpol@mandrake.org> 0.1.23-1mdk
- 0.1.23
- reenable libtoolize

* Thu May 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.22-1mdk
- fix devel provides
- drop redundant buildrequires
- requires new pixman
- autoconf 2.5 macro
- New release 0.1.22

